diff --git a/gcc/lra-remat.c b/gcc/lra-remat.c
index f28993e..6a5c690 100644
--- a/gcc/lra-remat.c
+++ b/gcc/lra-remat.c
@@ -85,7 +85,7 @@ typedef struct cand *cand_t;
 typedef const struct cand *const_cand_t;
 
 /* Insn candidates for rematerialization.  The candidate insn should
-   have the following properies:
+   have the following properties:
    o no any memory (as access to memory is non-profitable)
    o no INOUT regs (it means no non-paradoxical subreg of output reg)
    o one output spilled pseudo (or reload pseudo of a spilled pseudo)
@@ -133,7 +133,7 @@ struct remat_bb_data
   /* Registers becoming dead in the BB.  */
   bitmap_head dead_regs;
   /* Cands present in the BB whose in/out regs are not changed after
-     the cands occurence and are not dead (except the reload
+     the cands occurrence and are not dead (except the reload
      regno).  */
   bitmap_head gen_cands;
   bitmap_head livein_cands; /* cands whose inputs live at the BB start.  */
@@ -1103,7 +1103,7 @@ do_remat (void)
 
 	  cand = NULL;
 	  /* Check possibility of rematerialization (hard reg or
-	     unpsilled pseudo <- spilled pseudo): */
+	     unspilled pseudo <- spilled pseudo): */
 	  if (dst_regno >= 0 && src_regno >= FIRST_PSEUDO_REGISTER
 	      && reg_renumber[src_regno] < 0
 	      && (dst_regno < FIRST_PSEUDO_REGISTER
diff --git a/gcc/lra.c b/gcc/lra.c
index 1230b25..d43c1a1 100644
--- a/gcc/lra.c
+++ b/gcc/lra.c
@@ -70,11 +70,11 @@ along with GCC; see the file COPYING3.	If not see
          |    to memory   |<----| Rematerialization |
          |  substitution  |      -------------------
           ----------------        
-                  | No susbtitions
+                  | No substitutions
                   V                
       -------------------------
      | Hard regs substitution, |
-     |  devirtalization, and   |------> Finish
+     |  devirtualization, and  |------> Finish
      | restoring scratches got |
      |         memory          |
       -------------------------
diff --git a/gcc/lto-cgraph.c b/gcc/lto-cgraph.c
index 77605f7..f2b5917 100644
--- a/gcc/lto-cgraph.c
+++ b/gcc/lto-cgraph.c
@@ -427,7 +427,7 @@ lto_output_node (struct lto_simple_output_block *ob, struct cgraph_node *node,
 	 FIXME: At the moment they can be, when partition contains an inline
 	 clone that is clone of inline clone from outside partition.  We can
 	 reshape the clone tree and make other tree to be the root, but it
-	 needs a bit extra work and will be promplty done by cgraph_remove_node
+	 needs a bit extra work and will be promptly done by cgraph_remove_node
 	 after reading back.  */
       in_other_partition = 1;
     }
@@ -727,7 +727,7 @@ output_profile_summary (struct lto_simple_output_block *ob)
           streamer_write_gcov_count_stream (ob->main_stream,
                                       profile_info->histogram[h_ix].cum_value);
          }
-      /* IPA-profile computes hot bb threshold based on cumulated
+      /* IPA-profile computes hot bb threshold based on accumulated
 	 whole program profile.  We need to stream it down to ltrans.  */
        if (flag_wpa)
          streamer_write_gcov_count_stream (ob->main_stream,
@@ -964,7 +964,7 @@ compute_ltrans_boundary (lto_symtab_encoder_t in_encoder)
 		}
 	    }
     }
-  /* Be sure to also insert alias targert and thunk callees.  These needs
+  /* Be sure to also insert alias target and thunk callees.  These needs
      to stay to aid local calling conventions.  */
   for (i = 0; i < lto_symtab_encoder_size (encoder); i++)
     {
@@ -1218,7 +1218,7 @@ get_alias_symbol (tree decl)
 }
 
 /* Read a node from input_block IB.  TAG is the node's tag just read.
-   Return the node read or overwriten.  */
+   Return the node read or overwritten.  */
 
 static struct cgraph_node *
 input_node (struct lto_file_decl_data *file_data,
@@ -1345,7 +1345,7 @@ input_node (struct lto_file_decl_data *file_data,
 }
 
 /* Read a node from input_block IB.  TAG is the node's tag just read.
-   Return the node read or overwriten.  */
+   Return the node read or overwritten.  */
 
 static varpool_node *
 input_varpool_node (struct lto_file_decl_data *file_data,
@@ -1426,7 +1426,7 @@ input_varpool_node (struct lto_file_decl_data *file_data,
 }
 
 /* Read a node from input_block IB.  TAG is the node's tag just read.
-   Return the node read or overwriten.  */
+   Return the node read or overwritten.  */
 
 static void
 input_ref (struct lto_input_block *ib,
@@ -1692,7 +1692,7 @@ input_profile_summary (struct lto_input_block *ib,
           file_data->profile_info.histogram[h_ix].cum_value
               = streamer_read_gcov_count (ib);
         }
-      /* IPA-profile computes hot bb threshold based on cumulated
+      /* IPA-profile computes hot bb threshold based on accumulated
 	 whole program profile.  We need to stream it down to ltrans.  */
       if (flag_ltrans)
 	set_hot_bb_threshold (streamer_read_gcov_count (ib));
@@ -1798,7 +1798,7 @@ merge_profile_summaries (struct lto_file_decl_data **file_data_vec)
   if (lto_gcov_summary.sum_max < max_runs)
     lto_gcov_summary.sum_max = max_runs;
 
-  /* If merging already happent at WPA time, we are done.  */
+  /* If merging already happened at WPA time, we are done.  */
   if (flag_ltrans)
     return;
 
diff --git a/gcc/lto-opts.c b/gcc/lto-opts.c
index 9618bfb..a48eb01 100644
--- a/gcc/lto-opts.c
+++ b/gcc/lto-opts.c
@@ -74,7 +74,7 @@ lto_write_options (void)
      enabled by the frontend.
      This for now includes an explicit set of options that we also handle
      explicitly in lto-wrapper.c.  In the end the effects on GIMPLE IL
-     semantics should be explicitely encoded in the IL or saved per
+     semantics should be explicitly encoded in the IL or saved per
      function rather than per compilation unit.  */
   /* -fexceptions causes the EH machinery to be initialized, enabling
      generation of unwind data so that explicit throw() calls work.  */
diff --git a/gcc/lto-section-in.c b/gcc/lto-section-in.c
index 984a648..b1d3f3c 100644
--- a/gcc/lto-section-in.c
+++ b/gcc/lto-section-in.c
@@ -413,7 +413,7 @@ lto_free_function_in_decl_state (struct lto_in_decl_state *state)
   ggc_free (state);
 }
 
-/* Free decl_states associated with NODE.  This makes it possible to furhter
+/* Free decl_states associated with NODE.  This makes it possible to further
    release trees needed by the NODE's body.  */
 
 void
diff --git a/gcc/lto-streamer-in.c b/gcc/lto-streamer-in.c
index afed037..90aeb5f 100644
--- a/gcc/lto-streamer-in.c
+++ b/gcc/lto-streamer-in.c
@@ -208,7 +208,7 @@ lto_location_cache::apply_location_cache ()
   return true;
 }
 
-/* Tree merging did not suceed; mark all changes in the cache as accepted.  */
+/* Tree merging did not succeed; mark all changes in the cache as accepted.  */
 
 void
 lto_location_cache::accept_location_cache ()
@@ -217,7 +217,7 @@ lto_location_cache::accept_location_cache ()
   accepted_length = loc_cache.length ();
 }
 
-/* Tree merging did suceed; throw away recent changes.  */
+/* Tree merging did succeed; throw away recent changes.  */
 
 void
 lto_location_cache::revert_location_cache ()
@@ -227,7 +227,7 @@ lto_location_cache::revert_location_cache ()
 
 /* Read a location bitpack from input block IB and either update *LOC directly
    or add it to the location cache.
-   It is neccesary to call apply_location_cache to get *LOC updated.  */
+   It is necessary to call apply_location_cache to get *LOC updated.  */
 
 void
 lto_location_cache::input_location (location_t *loc, struct bitpack_d *bp,
@@ -265,7 +265,7 @@ lto_location_cache::input_location (location_t *loc, struct bitpack_d *bp,
   if (column_change)
     stream_col = bp_unpack_var_len_unsigned (bp);
 
-  /* This optimization saves location cache operations druing gimple
+  /* This optimization saves location cache operations during gimple
      streaming.  */
      
   if (current_file == stream_file && current_line == stream_line
@@ -282,7 +282,7 @@ lto_location_cache::input_location (location_t *loc, struct bitpack_d *bp,
 
 /* Read a location bitpack from input block IB and either update *LOC directly
    or add it to the location cache.
-   It is neccesary to call apply_location_cache to get *LOC updated.  */
+   It is necessary to call apply_location_cache to get *LOC updated.  */
 
 void
 lto_input_location (location_t *loc, struct bitpack_d *bp,
@@ -307,7 +307,7 @@ stream_input_location_now (struct bitpack_d *bp, struct data_in *data_in)
 /* Read a reference to a tree node from DATA_IN using input block IB.
    TAG is the expected node that should be found in IB, if TAG belongs
    to one of the indexable trees, expect to read a reference index to
-   be looked up in one of the symbol tables, otherwise read the pysical
+   be looked up in one of the symbol tables, otherwise read the physical
    representation of the tree using stream_read_tree.  FN is the
    function scope for the read tree.  */
 
diff --git a/gcc/lto-streamer-out.c b/gcc/lto-streamer-out.c
index b96b9df..56634a5 100644
--- a/gcc/lto-streamer-out.c
+++ b/gcc/lto-streamer-out.c
@@ -115,7 +115,7 @@ output_type_ref (struct output_block *ob, tree node)
 
 
 /* Return true if tree node T is written to various tables.  For these
-   nodes, we sometimes want to write their phyiscal representation
+   nodes, we sometimes want to write their physical representation
    (via lto_output_tree), and sometimes we need to emit an index
    reference into a table (via lto_output_tree_ref).  */
 
@@ -313,7 +313,7 @@ lto_is_streamable (tree expr)
 /* Very rough estimate of streaming size of the initializer.  If we ignored
    presence of strings, we could simply just count number of non-indexable
    tree nodes and number of references to indexable nodes.  Strings however
-   may be very large and we do not want to dump them int othe global stream.
+   may be very large and we do not want to dump them into the global stream.
 
    Count the size of initializer until the size in DATA is positive.  */
 
@@ -643,7 +643,7 @@ DFS::DFS (struct output_block *ob, tree expr, bool ref_p, bool this_ref_p,
 	     this way.
 	     ???  We still wrap these in LTO_tree_scc so at the
 	     input side we can properly identify the tree we want
-	     to ultimatively return.  */
+	     to ultimately return.  */
 	  if (size == 1)
 	    lto_output_tree_1 (ob, expr, scc_hash, ref_p, this_ref_p);
 	  else
@@ -879,7 +879,7 @@ DFS::DFS_write_tree_body (struct output_block *ob,
 	 handle - those that represent inlined function scopes.
 	 For the drop rest them on the floor instead of ICEing
 	 in dwarf2out.c, but keep the notion of whether the block
-	 is an inlined block by refering to itself for the sake of
+	 is an inlined block by referring to itself for the sake of
 	 tree_nonartificial_location.  */
       if (inlined_function_outer_scope_p (expr))
 	{
@@ -2339,7 +2339,7 @@ lto_output (void)
 	      decl_state = lto_new_out_decl_state ();
 	      lto_push_out_decl_state (decl_state);
 	      if (gimple_has_body_p (node->decl) || !flag_wpa
-		  /* Thunks have no body but they may be synthetized
+		  /* Thunks have no body but they may be synthesized
 		     at WPA time.  */
 		  || DECL_ARGUMENTS (node->decl))
 		output_function (node);
diff --git a/gcc/lto-streamer.h b/gcc/lto-streamer.h
index 7cf4b0b..5a4d91b 100644
--- a/gcc/lto-streamer.h
+++ b/gcc/lto-streamer.h
@@ -75,7 +75,7 @@ along with GCC; see the file COPYING3.  If not see
 
      LTO_function     - The tag.
      eh tree          - This is all of the exception handling regions
-                        put out in a post order traversial of the
+                        put out in a post order traversal of the
                         tree.  Siblings are output as lists terminated
 			by a 0.  The set of fields matches the fields
 			defined in except.c.
@@ -293,7 +293,7 @@ typedef void (lto_free_section_data_f) (struct lto_file_decl_data *,
 					size_t);
 
 /* The location cache holds expanded locations for streamed in trees.
-   This is done to reduce memory usage of libcpp linemap that strongly preffers
+   This is done to reduce memory usage of libcpp linemap that strongly prefers
    locations to be inserted in the soruce order.  */
 
 class lto_location_cache
@@ -302,9 +302,10 @@ public:
   /* Apply all changes in location cache.  Add locations into linemap and patch
      trees.  */
   bool apply_location_cache ();
-  /* Tree merging did not suceed; mark all changes in the cache as accepted.  */
+  /* Tree merging did not succeed; mark all changes in the cache as
+     accepted.  */
   void accept_location_cache ();
-  /* Tree merging did suceed; throw away recent changes.  */
+  /* Tree merging did succeed; throw away recent changes.  */
   void revert_location_cache ();
   void input_location (location_t *loc, struct bitpack_d *bp,
 		       struct data_in *data_in);
diff --git a/gcc/lto-wrapper.c b/gcc/lto-wrapper.c
index 4b86f93..0598af5 100644
--- a/gcc/lto-wrapper.c
+++ b/gcc/lto-wrapper.c
@@ -872,7 +872,7 @@ find_crtoffloadtable (void)
 
 /* A subroutine of run_gcc.  Examine the open file FD for lto sections with
    name prefix PREFIX, at FILE_OFFSET, and store any options we find in OPTS
-   and OPT_COUNT.  Return true if we found a matchingn section, false
+   and OPT_COUNT.  Return true if we found a matching section, false
    otherwise.  COLLECT_GCC holds the value of the environment variable with
    the same name.  */
 
diff --git a/gcc/lto/lto-lang.c b/gcc/lto/lto-lang.c
index 52ab2a8..3800093 100644
--- a/gcc/lto/lto-lang.c
+++ b/gcc/lto/lto-lang.c
@@ -831,7 +831,7 @@ lto_post_options (const char **pfilename ATTRIBUTE_UNUSED)
       break;
 
     case LTO_LINKER_OUTPUT_DYN: /* .so: PID library */
-      /* On some targets, like i386 it makes sense to build PIC library wihout
+      /* On some targets, like i386 it makes sense to build PIC library without
 	 -fpic for performance reasons.  So no need to adjust flags.  */
       break;
 
diff --git a/gcc/lto/lto-partition.c b/gcc/lto/lto-partition.c
index 3600ab2..ccaa093 100644
--- a/gcc/lto/lto-partition.c
+++ b/gcc/lto/lto-partition.c
@@ -91,7 +91,7 @@ add_references_to_partition (ltrans_partition part, symtab_node *node)
   for (i = 0; node->iterate_reference (i, ref); i++)
     if (ref->referred->get_partitioning_class () == SYMBOL_DUPLICATE)
       add_symbol_to_partition (part, ref->referred);
-    /* References to a readonly variable may be constant foled into its value.
+    /* References to a readonly variable may be constant folded into its value.
        Recursively look into the initializers of the constant variable and add
        references, too.  */
     else if (is_a <varpool_node *> (ref->referred)
@@ -213,7 +213,7 @@ static symtab_node *
 contained_in_symbol (symtab_node *node)
 {
   /* There is no need to consider transparent aliases to be part of the
-     definition: they are only useful insite the partition they are output
+     definition: they are only useful inside the partition they are output
      and thus we will always see an explicit reference to it.  */
   if (node->transparent_alias)
     return node;
@@ -488,7 +488,7 @@ lto_balanced_map (int n_lto_partitions, int max_partition_size)
   /* Streaming works best when the source units do not cross partition
      boundaries much.  This is because importing function from a source
      unit tends to import a lot of global trees defined there.  We should
-     get better about minimizing the function bounday, but until that
+     get better about minimizing the function boundary, but until that
      things works smoother if we order in source order.  */
   qsort (order, n_nodes, sizeof (struct cgraph_node *), node_cmp);
   noreorder.qsort (node_cmp);
@@ -1067,7 +1067,7 @@ rename_statics (lto_symtab_encoder_t encoder, symtab_node *node)
 	    || lto_symtab_encoder_lookup (encoder, s) != LCC_NOT_FOUND))
        break;
 
-  /* OK, no confict, so we have nothing to do.  */
+  /* OK, no conflict, so we have nothing to do.  */
   if (!s)
     return;
 
diff --git a/gcc/lto/lto-symtab.c b/gcc/lto/lto-symtab.c
index 9fd9486..e6f7736 100644
--- a/gcc/lto/lto-symtab.c
+++ b/gcc/lto/lto-symtab.c
@@ -85,7 +85,7 @@ lto_cgraph_replace_node (struct cgraph_node *node,
 	  e->call_stmt_cannot_inline_p = 1;
 	}
     }
-  /* Redirect incomming references.  */
+  /* Redirect incoming references.  */
   prevailing_node->clone_referring (node);
 
   /* Fix instrumentation references.  */
@@ -181,7 +181,7 @@ lto_varpool_replace_node (varpool_node *vnode,
   vnode->remove ();
 }
 
-/* Return non-zero if we want to output waring about T1 and T2.
+/* Return non-zero if we want to output warning about T1 and T2.
    Return value is a bitmask of reasons of violation:
    Bit 0 indicates that types are not compatible.
    Bit 1 indicates that types are not compatible because of C++ ODR rule.
@@ -194,11 +194,11 @@ lto_varpool_replace_node (varpool_node *vnode,
    implementation should be coarse enough so all valid type transitions
    across different languages are allowed.
 
-   In partiucular we thus allow almost arbitrary type changes with
+   In particular we thus allow almost arbitrary type changes with
    -fno-strict-aliasing which may be tough of as a feature rather than bug
    as it allows to implement dodgy tricks in the language runtimes.
 
-   Naturally this code can be strenghtened significantly if we could track
+   Naturally this code can be strengthened significantly if we could track
    down the language of origin.  */
 
 static int
@@ -754,7 +754,7 @@ lto_symtab_merge_decls_1 (symtab_node *first)
 	 variable is actually used).
 	 When there are multiple variants, chose one with size.
 	 This is needed for C++ typeinfos, for example in
-	 lto/20081204-1 there are typeifos in both units, just
+	 lto/20081204-1 there are typeinfos in both units, just
 	 one of them do have size.  */
       if (TREE_CODE (prevailing->decl) == VAR_DECL)
 	{
@@ -929,8 +929,8 @@ lto_symtab_merge_symbols (void)
 
       /* Do the actual merging.  
          At this point we invalidate hash translating decls into symtab nodes
-	 because after removing one of duplicate decls the hash is not correcly
-	 updated to the ohter dupliate.  */
+	 because after removing one of duplicate decls the hash is not correctly
+	 updated to the ohter duplicate.  */
       FOR_EACH_SYMBOL (node)
 	if (lto_symtab_symbol_p (node)
 	    && node->next_sharing_asm_name
@@ -990,10 +990,11 @@ lto_symtab_merge_symbols (void)
 }
 
 /* Virtual tables may matter for code generation even if they are not
-   directly refernced by the code because they may be used for devirtualizaiton.
+   directly referenced by the code because they may be used for
+   devirtualization.
    For this reason it is important to merge even virtual tables that have no
    associated symbol table entries.  Without doing so we lose optimization
-   oppurtunities by losing track of the vtable constructor.
+   opportunities by losing track of the vtable constructor.
    FIXME: we probably ought to introduce explicit symbol table entries for
    those before streaming.  */
 
diff --git a/gcc/lto/lto.c b/gcc/lto/lto.c
index 44ddf41..86d0f23 100644
--- a/gcc/lto/lto.c
+++ b/gcc/lto/lto.c
@@ -1752,7 +1752,7 @@ lto_read_decls (struct lto_file_decl_data *decl_data, const void *data,
 		  && TREE_CODE (t) == TYPE_DECL)
 		{
 		  /* Dwarf2out needs location information.
-		     TODO: Moving this out of the streamer loop may noticealy
+		     TODO: Moving this out of the streamer loop may noticeably
 		     improve ltrans linemap memory use.  */
 		  data_in->location_cache.apply_location_cache ();
 		  debug_hooks->type_decl (t, !DECL_FILE_SCOPE_P (t));
@@ -2357,7 +2357,7 @@ stream_out (char *temp_filename, lto_symtab_encoder_t encoder,
 	  do_stream_out (temp_filename, encoder);
 	  exit (0);
 	}
-      /* Fork failed; lets do the job ourseleves.  */
+      /* Fork failed; lets do the job ourselves.  */
       else if (cpid == -1)
         do_stream_out (temp_filename, encoder);
       else
@@ -2838,7 +2838,7 @@ read_cgraph_and_symbols (unsigned nfiles, const char **fnames)
   canonical_type_hash_cache = NULL;
 
   /* At this stage we know that majority of GGC memory is reachable.  
-     Growing the limits prevents unnecesary invocation of GGC.  */
+     Growing the limits prevents unnecessary invocation of GGC.  */
   ggc_grow ();
   ggc_collect ();
 
@@ -3063,7 +3063,7 @@ do_whole_program_analysis (void)
 
   lto_parallelism = 1;
 
-  /* TODO: jobserver communicatoin is not supported, yet.  */
+  /* TODO: jobserver communication is not supported, yet.  */
   if (!strcmp (flag_wpa, "jobserver"))
     lto_parallelism = -1;
   else
@@ -3148,7 +3148,7 @@ do_whole_program_analysis (void)
 
   /* Collect a last time - in lto_wpa_write_files we may end up forking
      with the idea that this doesn't increase memory usage.  So we
-     absoultely do not want to collect after that.  */
+     absolutely do not want to collect after that.  */
   ggc_collect ();
 
   timevar_start (TV_PHASE_STREAM_OUT);
diff --git a/gcc/machmode.def b/gcc/machmode.def
index afe6851..f1836e4 100644
--- a/gcc/machmode.def
+++ b/gcc/machmode.def
@@ -179,7 +179,7 @@ RANDOM_MODE (BLK);
 FRACTIONAL_INT_MODE (BI, 1, 1);
 
 /* Basic integer modes.  We go up to TI in generic code (128 bits).
-   TImode is needed here because the some front ends now genericly
+   TImode is needed here because the some front ends now generically
    support __int128.  If the front ends decide to generically support
    larger types, then corresponding modes must be added here.  The
    name OI is reserved for a 256-bit type (needed by some back ends).
diff --git a/gcc/machmode.h b/gcc/machmode.h
index 42b14d0..e27bb94 100644
--- a/gcc/machmode.h
+++ b/gcc/machmode.h
@@ -361,13 +361,13 @@ extern void init_adjust_machine_modes (void);
    && GET_MODE_PRECISION (MODE) <= HOST_BITS_PER_WIDE_INT)
 
 struct int_n_data_t {
-  /* These parts are initailized by genmodes output */
+  /* These parts are initialized by genmodes output */
   unsigned int bitsize;
   machine_mode m;
   /* RID_* is RID_INTN_BASE + index into this array */
 };
 
-/* This is also in tree.h.  genmodes.c guarantees the're sorted from
+/* This is also in tree.h.  genmodes.c guarantees they're sorted from
    smallest bitsize to largest bitsize. */
 extern bool int_n_enabled_p[NUM_INT_N_ENTS];
 extern const int_n_data_t int_n_data[NUM_INT_N_ENTS];
diff --git a/gcc/mem-stats.h b/gcc/mem-stats.h
index a5f8e32..257c0b3 100644
--- a/gcc/mem-stats.h
+++ b/gcc/mem-stats.h
@@ -245,7 +245,7 @@ struct mem_usage
   size_t m_instances;
 };
 
-/* Memory usage pair that connectes memory usage and number
+/* Memory usage pair that connects memory usage and number
    of allocated bytes.  */
 template <class T>
 struct mem_usage_pair
@@ -291,7 +291,7 @@ public:
   typedef hash_map <const void *, std::pair<T *, size_t> > reverse_object_map_t;
   typedef std::pair <mem_location *, T *> mem_list_t;
 
-  /* Default contructor.  */
+  /* Default constructor.  */
   mem_alloc_description ();
 
   /* Default destructor.  */
@@ -311,7 +311,7 @@ public:
   register_descriptor (const void *ptr, mem_location *location);
 
   /* Register memory allocation descriptor for container PTR.  ORIGIN identifies
-     type of container and GGC identifes if the allocation is handled in GGC
+     type of container and GGC identifies if the allocation is handled in GGC
      memory.  Each location is identified by file NAME, LINE in source code and
      FUNCTION name.  */
   T *
@@ -336,7 +336,7 @@ public:
   release_instance_overhead (void *ptr, size_t size,
 				  bool remove_from_map = false);
 
-  /* Release intance object identified by PTR pointer.  */
+  /* Release instance object identified by PTR pointer.  */
   void
   release_object_overhead (void *ptr);
 
@@ -425,7 +425,7 @@ mem_alloc_description<T>::register_descriptor (const void *ptr,
 }
 
 /* Register memory allocation descriptor for container PTR.  ORIGIN identifies
-   type of container and GGC identifes if the allocation is handled in GGC
+   type of container and GGC identifies if the allocation is handled in GGC
    memory.  Each location is identified by file NAME, LINE in source code and
    FUNCTION name.  */
 
@@ -517,7 +517,7 @@ mem_alloc_description<T>::release_instance_overhead (void *ptr, size_t size,
     m_reverse_map->remove (ptr);
 }
 
-/* Release intance object identified by PTR pointer.  */
+/* Release instance object identified by PTR pointer.  */
 
 template <class T>
 inline void
@@ -531,7 +531,7 @@ mem_alloc_description<T>::release_object_overhead (void *ptr)
     }
 }
 
-/* Default contructor.  */
+/* Default constructor.  */
 
 template <class T>
 inline
diff --git a/gcc/mode-switching.c b/gcc/mode-switching.c
index 15b813f..de995cf 100644
--- a/gcc/mode-switching.c
+++ b/gcc/mode-switching.c
@@ -732,7 +732,7 @@ optimize_mode_switching (void)
 	  struct bb_info *info = bb_info[j];
 	  int last_mode = no_mode;
 
-	  /* intialize mode in availability for bb.  */
+	  /* initialize mode in availability for bb.  */
 	  for (i = 0; i < no_mode; i++)
 	    if (mode_bit_p (avout[bb->index], j, i))
 	      {
@@ -746,7 +746,7 @@ optimize_mode_switching (void)
 	      }
 	  info[bb->index].mode_out = last_mode;
 
-	  /* intialize mode out availability for bb.  */
+	  /* initialize mode out availability for bb.  */
 	  last_mode = no_mode;
 	  for (i = 0; i < no_mode; i++)
 	    if (mode_bit_p (avin[bb->index], j, i))
diff --git a/gcc/modulo-sched.c b/gcc/modulo-sched.c
index 720391f..7478f67 100644
--- a/gcc/modulo-sched.c
+++ b/gcc/modulo-sched.c
@@ -719,7 +719,7 @@ schedule_reg_moves (partial_schedule_ptr ps)
 		gcc_assert (set);
 		/* If the instruction contains auto-inc register then
 		   validate that the regmov is being generated for the
-		   target regsiter rather then the inc'ed register.	*/
+		   target register rather then the inc'ed register.	*/
 		gcc_assert (!autoinc_var_is_used_p (u->insn, e->dest->insn));
 	      }
 	    
@@ -1049,7 +1049,7 @@ optimize_sc (partial_schedule_ptr ps, ddg_ptr g)
 
 	  /* The branch was failed to be placed in row ii - 1.
 	     Put it back in it's original place in the partial
-	     schedualing.  */
+	     scheduling.  */
 	  set_must_precede_follow (&tmp_follow, must_follow, &tmp_precede,
 				   must_precede, branch_cycle, start, end,
 				   step);
diff --git a/gcc/omp-expand.c b/gcc/omp-expand.c
index 7a7c747..9ff41ad 100644
--- a/gcc/omp-expand.c
+++ b/gcc/omp-expand.c
@@ -5329,7 +5329,7 @@ expand_oacc_for (struct omp_region *region, struct omp_for_data *fd)
   basic_block cont_bb = region->cont; /* BB ending in OMP_CONTINUE  */
   basic_block bottom_bb = NULL;
 
-  /* entry_bb has two sucessors; the branch edge is to the exit
+  /* entry_bb has two successors; the branch edge is to the exit
      block,  fallthrough edge to body.  */
   gcc_assert (EDGE_COUNT (entry_bb->succs) == 2
 	      && BRANCH_EDGE (entry_bb)->dest == exit_bb);
@@ -5808,7 +5808,7 @@ expand_omp_for (struct omp_region *region, gimple *inner_stmt)
       FALLTHRU_EDGE (region->cont)->flags &= ~EDGE_ABNORMAL;
     }
   else
-    /* If there isn't a continue then this is a degerate case where
+    /* If there isn't a continue then this is a degenerate case where
        the introduction of abnormal edges during lowering will prevent
        original loops from being detected.  Fix that up.  */
     loops_state_set (LOOPS_NEED_FIXUP);
@@ -6397,7 +6397,7 @@ expand_omp_atomic_fetch_op (basic_block load_bb,
 
   /* We could test all of the various optabs involved, but the fact of the
      matter is that (with the exception of i486 vs i586 and xadd) all targets
-     that support any atomic operaton optab also implements compare-and-swap.
+     that support any atomic operation optab also implements compare-and-swap.
      Let optabs.c take care of expanding any compare-and-swap loop.  */
   if (!can_compare_and_swap_p (imode, true) || !can_atomic_load_p (imode))
     return false;
@@ -6797,7 +6797,7 @@ mark_loops_in_oacc_kernels_region (basic_block region_entry,
     loop->in_oacc_kernels_region = true;
 }
 
-/* Types used to pass grid and wortkgroup sizes to kernel invocation.  */
+/* Types used to pass grid and workgroup sizes to kernel invocation.  */
 
 struct GTY(()) grid_launch_attributes_trees
 {
@@ -7087,7 +7087,7 @@ expand_omp_target (struct omp_region *region)
       mark_loops_in_oacc_kernels_region (region->entry, region->exit);
 
       /* Further down, both OpenACC kernels and OpenACC parallel constructs
-	 will be mappted to BUILT_IN_GOACC_PARALLEL, and to distinguish the
+	 will be mapped to BUILT_IN_GOACC_PARALLEL, and to distinguish the
 	 two, there is an "oacc kernels" attribute set for OpenACC kernels.  */
       DECL_ATTRIBUTES (child_fn)
 	= tree_cons (get_identifier ("oacc kernels"),
diff --git a/gcc/omp-general.c b/gcc/omp-general.c
index 9a5ed88..d7e24f4 100644
--- a/gcc/omp-general.c
+++ b/gcc/omp-general.c
@@ -1,5 +1,5 @@
-/* General types and functions that are uselful for processing of OpenMP,
-   OpenACC and similar directivers at various stages of compilation.
+/* General types and functions that are useful for processing of OpenMP,
+   OpenACC and similar directives at various stages of compilation.
 
    Copyright (C) 2005-2017 Free Software Foundation, Inc.
 
@@ -559,7 +559,7 @@ oacc_set_fn_attrib (tree fn, tree clauses, vec<tree> *args)
     }
 }
 
-/*  Process the routine's dimension clauess to generate an attribute
+/*  Process the routine's dimension clauses to generate an attribute
     value.  Issue diagnostics as appropriate.  We default to SEQ
     (OpenACC 2.5 clarifies this). All dimensions have a size of zero
     (dynamic).  TREE_PURPOSE is set to indicate whether that dimension
diff --git a/gcc/omp-general.h b/gcc/omp-general.h
index d28eb4b..302a515 100644
--- a/gcc/omp-general.h
+++ b/gcc/omp-general.h
@@ -1,5 +1,5 @@
-/* General types and functions that are uselful for processing of OpenMP,
-   OpenACC and similar directivers at various stages of compilation.
+/* General types and functions that are useful for processing of OpenMP,
+   OpenACC and similar directives at various stages of compilation.
 
    Copyright (C) 2005-2017 Free Software Foundation, Inc.
 
diff --git a/gcc/omp-grid.c b/gcc/omp-grid.c
index a7b6f60..a48b62b 100644
--- a/gcc/omp-grid.c
+++ b/gcc/omp-grid.c
@@ -988,7 +988,7 @@ grid_copy_leading_local_assignments (gimple_seq src, gimple_stmt_iterator *dst,
 }
 
 /* Statement walker function to make adjustments to statements within the
-   gridifed kernel copy.  */
+   gridified kernel copy.  */
 
 static tree
 grid_process_grid_body (gimple_stmt_iterator *gsi, bool *handled_ops_p,
@@ -1038,7 +1038,7 @@ grid_eliminate_combined_simd_part (gomp_for *parloop)
   gomp_for *simd = as_a <gomp_for *> (stmt);
 
   /* Copy over the iteration properties because the body refers to the index in
-     the bottmom-most loop.  */
+     the bottom-most loop.  */
   unsigned i, collapse = gimple_omp_for_collapse (parloop);
   gcc_checking_assert (collapse == gimple_omp_for_collapse (simd));
   for (i = 0; i < collapse; i++)
@@ -1053,7 +1053,7 @@ grid_eliminate_combined_simd_part (gomp_for *parloop)
   while (*tgt)
     tgt = &OMP_CLAUSE_CHAIN (*tgt);
 
-  /* Copy over all clauses, except for linaer clauses, which are turned into
+  /* Copy over all clauses, except for linear clauses, which are turned into
      private clauses, and all other simd-specificl clauses, which are
      ignored.  */
   tree *pc = gimple_omp_for_clauses_ptr (simd);
